jQuery(document).ready(function ($) {
	if (!document.getElementById('ft-widget')) {
		throw new Error('FollowThis Widget requires an element with ID #ft-widget');
	}
	else {
		FTWidget = new Object();
		FTWidget.widgetWidth = document.getElementById('ft-widget').offsetWidth;
		FTWidget.complete = false;
		FTWidget.script = document.createElement('script');
		FTWidget.script.type = 'text/javascript';
		FTWidget.script.src = 'http://www.followthis.de/widget-holder/' + encodeURIComponent(location.href) + '?widget_width=' + FTWidget.widgetWidth;
		FTWidget.doerror = function () {
			document.getElementById('ft-widget').innerHTML = ""
		};
		FTWidget.script.onerror = FTWidget.doerror;
		FTWidget.script.onload = FTWidget.script.onreadystatechange = function () {
			if (!FTWidget.complete) {
				if (this.readyState == 'complete' || this.readyState == 'loaded' || !this.readyState) {
					FTWidget.complete = true;
					if (FTWidget.init)FTWidget.init(); else FTWidget.doerror()
				}
			}
		}
		document.getElementsByTagName('head')[0].appendChild(FTWidget.script)
	}
});